Subject: Re: [PATCH 2/2] powerpc/nohash: Split __early_init_mmu() into boot and secondary

From: Benjamin Herrenschmidt <[email-masked]>
Date: Thu, 07 Aug 2014 06:46:07 +1000

On Wed, 2014-08-06 at 15:09 -0500, Scott Wood wrote:
> BTW, is there a particular reason why we need to use
> memblock_enforce_memory_limit() on FSL_BOOK3E, rather than relying on
> memblock_set_current_limit()?  I see that when
> memblock_enforce_memory_limit() was added to __early_init_mmu(),
> memblock_set_current_limit() did not exist.  On 32-bit fsl booke uses
> memblock_set_current_limit() for this.

I don't remember. I don't even know what the difference is, I can
have a look later if you want but I'd rather you did :-)

Cheers,
Ben.